aboutsummaryrefslogtreecommitdiff
path: root/community/hugo/build
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2021-07-18 14:58:41 +0300
committerCem Keylan <cem@ckyln.com>2021-07-18 14:58:41 +0300
commit53a5484d354c9079a04acaab0bd8affaedf1d17c (patch)
tree5726c8d7c72a1012819c8ada340fd9b6b7d75bdf /community/hugo/build
parent0eedfaa359d2dfc4094f60776b8d9d4c1e9dd560 (diff)
downloadrepository-53a5484d354c9079a04acaab0bd8affaedf1d17c.tar.gz
hugo: add new package at 0.85.0
Diffstat (limited to 'community/hugo/build')
-rwxr-xr-xcommunity/hugo/build9
1 files changed, 9 insertions, 0 deletions
diff --git a/community/hugo/build b/community/hugo/build
new file mode 100755
index 00000000..549e29ad
--- /dev/null
+++ b/community/hugo/build
@@ -0,0 +1,9 @@
+#!/bin/sh -e
+
+export GOPATH=$PWD/gopath
+
+trap "go clean -modcache" EXIT INT
+go mod vendor
+
+CGO_ENABLED=0 go build
+install -Dm755 hugo "$1/usr/bin/hugo"